# ``twisted`.`mail`.`tap``

module documentation
(source)

Support for creating mail servers with twistd.

Class | `AliasUpdater` | A callable object which updates the aliases for a domain from an aliases(5) file.
Class | `Options` | An options list parser for twistd mail.
Function | `makeService` | Configure a service for operating a mail server.

def makeService(config): (source)

Configure a service for operating a mail server.

The returned service may include POP3 servers, SMTP servers, or both, depending on the configuration passed in. If there are multiple servers, they will share all of their non-network state (i.e. the same user accounts are available on all of them).

Parameters
config:`Options` | Configuration options specifying which servers to include in the returned service and where they should keep mail data.
Returns
`IService` provider | A service which contains the requested mail servers.